# Assignment 1 - User Profile Cards
 
With this assignment, we would evaluate the following:

* Ability to create new react projects using Create React App
* Understanding of JSX
* Passing props to components
* Understanding of stateful and stateless Components
* Basic understanding of state management and component lifecycle methods
* Fetching data from an API endpoint
* Conditional rendering
* Working with lists

## Getting Started

These instructions will get you a copy of the project up and running on your local environment for development and testing
purposes. See deployment for notes on how to deploy the project on a live system.

### Prerequisites

* Node.js Installed
* Chrome Web Browser Installed

### Installation

In order to properly setup your development environment and run this project follow the below steps

* Install the required packages using the following command

```bash
    npm install
```
* Start the application in development mode using the following commands
```bash
	npm run dev
```

### Set up for deployment

* Enter the following commands to run the project

```bash
    npm install
    npm run build
```

* Deploy the dist folder on the netlify server.

### Testing

Enter the following commands to run the project

```bash
npm run tests
```

## Built With


* [React JS](https://reactjs.org/) - Frontend Framework
* [Meterial UI](https://mui.com/) - Frontend UI Framework
* [Netlify](https://www.netlify.com/) - For Frontend deployment
* [GitLab](https://gitlab.com/) - For Version Control

## Deployed on

* [Netlify](https://arbisoft-react-assignment-1.netlify.app/)

## Authors

* [Farhan Kiyani](https://github.com/farhan2742)